Package com.verisign.epp.serverstub.v1_0

## Class LoginSecV1_0GenHandler

- java.lang.Object
- - com.verisign.epp.serverstub.v1_0.LoginSecV1_0GenHandler

- All Implemented Interfaces:
    `LoginSecSubGenHandler`

      public class LoginSecV1_0GenHandler
      extends java.lang.Object
      implements LoginSecSubGenHandler

  The `LoginSecV04GenHandler` implements the LoginSecSubGenHandler interface to handle version "1.0" of the login security extension.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoginSecV1_0GenHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPEventResponse` | `doLogin​(EPPEvent aEvent, java.lang.Object aData)` | Handle the login command using version 0.1 (v1_0) of the login security extension.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginSecV1_0GenHandler

          public LoginSecV1_0GenHandler()

  - ### Method Detail

    - #### doLogin

          public EPPEventResponse doLogin​(EPPEvent aEvent,
                                          java.lang.Object aData)

      Handle the login command using version 0.1 (v1_0) of the login security extension. This handler will log which password and which new password (EPPLoginCmd or EPPLoginSec extension) is used for authentication. In addition, the login security events will be returned based on predefined login identifiers (clientId), which include:
      - test-expiring-pw - Will successfully login and return the password expiring warning that the password will expire in a week.
      - test-expired-pw - Will fail the login and return an authentication error response with the password expired error.
      - test-all-events - Will successfully login and will return the full list of security events in the response.
      An attempt to send a password or new password that is greater than 16 characters long without the login security extension will fail with a 2001 "Command syntax error", since the command will fail XML schema validation in the server. The EPP SDK will automatically send a password or new password greater than 16 characters with the login security extension and set the EPPLoginCmd password or new password with the predefined constant value.
      Specified by:
        `doLogin` in interface `LoginSecSubGenHandler`
      Parameters:
        `aEvent` - Event must contain an EPPLoginCmd for handling
        `aData` - Extra server data, which is `SessionData` for the Stub Server.
      Returns:
        Response to handling the login command